Package org.apache.nutch.crawl

## Class FetchScheduleFactory

- java.lang.Object
- - org.apache.nutch.crawl.FetchScheduleFactory

-     public class FetchScheduleFactory
      extends Object

  Creates and caches a `FetchSchedule` implementation.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FetchSchedule` | `getFetchSchedule​(Configuration conf)` | Return the FetchSchedule implementation specified within the given `Configuration`, or `DefaultFetchSchedule` by default.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFetchSchedule

          public static FetchSchedule getFetchSchedule​(Configuration conf)

      Return the FetchSchedule implementation specified within the given `Configuration`, or `DefaultFetchSchedule` by default.
      Parameters:
        `conf` - a populated `Configuration` object
      Returns:
        a synchronized, static `FetchSchedule`